Summary: A trashcan capability for file management.
Name: safedelete
Version: 1.3
Release: 5
Copyright: distributable
Group: Applications/System
Source0: safedelete-1.3.tar.gz
Source1: safedel-1.3-patch.tar.gz
Patch0: safedelete-1.3-config.patch
Patch1: safedelete-1.3-redhat.patch
Patch2: safedelete-1.3-makefile.patch
Patch3: safedelete-1.3-glibc.patch
Patch4: safedelete-1.3-y2k.patch
Prefix: /usr
Buildroot: /var/tmp/safedelete-root

%description
SafeDelete adds a grace period to the rm command, by saving files to
an alternate directory (like a trashcan or recycle bin) before actually
removing them.  Files in the alternate directory are given new names so
multiple files can be saved without worrying about clobbers.  The undelete
command will restore a file to its original directory along with its
original permissions, timestamps, etc.  Undelete has both a command line
and an ncurses interface (which displays a scrollable list of all the
files you can recover).  SafeDelete also features a utility which will
permanently delete files from the trash as they age.

%prep
%setup -q -T -b 0 -a 1
cp Makefile.LINUX Makefile
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p1

%build
make CC="gcc $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install MANDIR=$RPM_BUILD_ROOT/usr/man BINDIR=$RPM_BUILD_ROOT/usr/bin

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/usr/bin/safedelete
/usr/bin/undelete
/usr/bin/safedelchk
/usr/bin/safecnvt
/usr/man/man1/safedelete.1
/usr/man/man1/undelete.1
/usr/man/man1/safedelchk.1
/usr/man/man1/safecnvt.1
/usr/man/man5/safedelrc.5

%changelog
* Wed May 05 1999 Bill Nottingham <notting@redhat.com>
- build for glibc-2.1
- make package somewhat y2k compliant. *giggle*

* Fri May 22 1998 Michael Maher <mike@redhat.com>
- added buildroot and checked spec file

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com> 
- added changelog
- built for glibc
